Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Invoke

    java.lang.Object
      org.apache.commons.scxml.model.Invoke

All Implemented Interfaces:
  NamespacePrefixesHolder, PathResolverHolder, Serializable

public class Invoke
extends Object
implements NamespacePrefixesHolder, PathResolverHolder, Serializable

The class in this SCXML object model that corresponds to the <invoke> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Invoke()` Default no-args constructor for Digester.

Method Summary
`void` | `addParam(Param param)` Add this param to this invoke.
`Finalize` | `getFinalize()` Get the Finalize for this Invoke.
`Map` | `getNamespaces()` Get the XML namespaces at this action node in the SCXML document.
`Map` | `getParams()` Deprecated. Remove in v1.0, use params() instead
`PathResolver` | `getPathResolver()` Get the `PathResolver`.
`String` | `getSrc()` Get the URL for the external service.
`String` | `getSrcexpr()` Get the expression that evaluates to the source URL for the external service.
`String` | `getTargettype()` Get the target type for this <invoke> element.
`List` | `params()` Get the list of `Param`s.
`void` | `setFinalize(Finalize finalize)` Set the Finalize for this Invoke.
`void` | `setNamespaces(Map namespaces)` Set the XML namespaces at this action node in the SCXML document.
`void` | `setPathResolver(PathResolver pathResolver)` Set the `PathResolver`.
`void` | `setSrc(String src)` Set the URL for the external service.
`void` | `setSrcexpr(String srcexpr)` Set the expression that evaluates to the source URL for the external service.
`void` | `setTargettype(String targettype)` Set the target type for this <invoke> element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Invoke

    public Invoke()

  Default no-args constructor for Digester.

Method Detail

### getTargettype

    public final String getTargettype()

  Get the target type for this <invoke> element.

  Returns:
    String Returns the targettype.

### setTargettype

    public final void setTargettype(String targettype)

  Set the target type for this <invoke> element.

  Parameters:
    `targettype` - The targettype to set.

### getSrc

    public final String getSrc()

  Get the URL for the external service.

  Returns:
    String The URL.

### setSrc

    public final void setSrc(String src)

  Set the URL for the external service.

  Parameters:
    `src` - The source URL.

### getSrcexpr

    public final String getSrcexpr()

  Get the expression that evaluates to the source URL for the external service.

  Returns:
    String The source expression.

### setSrcexpr

    public final void setSrcexpr(String srcexpr)

  Set the expression that evaluates to the source URL for the external service.

  Parameters:
    `srcexpr` - The source expression.

### getParams

    public final Map getParams()

  Deprecated. Remove in v1.0, use params() instead

  Get the params Map.

  Returns:
    Map The params map.

### params

    public final List params()

  Get the list of `Param`s.

  Returns:
    List The params list.

### addParam

    public final void addParam(Param param)

  Add this param to this invoke.

  Parameters:
    `param` - The invoke parameter.

### getFinalize

    public final Finalize getFinalize()

  Get the Finalize for this Invoke.

  Returns:
    Finalize The Finalize for this Invoke.

### setFinalize

    public final void setFinalize(Finalize finalize)

  Set the Finalize for this Invoke.

  Parameters:
    `finalize` - The Finalize for this Invoke.

### getPathResolver

    public PathResolver getPathResolver()

  Get the `PathResolver`.

  Specified by:
    `getPathResolver` in interface `PathResolverHolder`
  Returns:
    Returns the pathResolver.

### setPathResolver

    public void setPathResolver(PathResolver pathResolver)

  Set the `PathResolver`.

  Specified by:
    `setPathResolver` in interface `PathResolverHolder`
  Parameters:
    `pathResolver` - The pathResolver to set.

### getNamespaces

    public final Map getNamespaces()

  Get the XML namespaces at this action node in the SCXML document.

  Specified by:
    `getNamespaces` in interface `NamespacePrefixesHolder`
  Returns:
    Returns the map of namespaces.

### setNamespaces

    public final void setNamespaces(Map namespaces)

  Set the XML namespaces at this action node in the SCXML document.

  Specified by:
    `setNamespaces` in interface `NamespacePrefixesHolder`
  Parameters:
    `namespaces` - The document namespaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.